unit UIPTVPage;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, UWebPage, UHTTPServer, UModuleUser;

type

  { TIPTVPage }

  TIPTVPage = class(TWebPage)
    procedure DataModuleProduce(HandlerData: THTTPHandlerData);
  private
    { private declarations }
  public
    ModuleUser: TModuleUser;
  end; 

var
  IPTVPage: TIPTVPage;

implementation

{$R *.lfm}

uses
  UCore, UHtmlClasses, UWebSession;

{ TIPTVPage }

procedure TIPTVPage.DataModuleProduce(HandlerData: THTTPHandlerData);
begin
  with TWebSession(HandlerData) do begin
    ModuleUser.LoadUserInfo;
    with HtmlDocument.Body, THtmlString(SubItems.AddNew(THtmlString.Create)) do begin
      Text := Text + '<h3>Výhody</h3>' +
      '<ul><li>velké množství televizních kanálů za nízkou cenu</li>' +
      '<li>možnost si aktivovat službu a měnit balíčky po měsících bez několikaleté výpovědní lhůty</li>' +
      '<li>zpětné přehrávání 7 dní nazpět (timeshift)</li>' +
      '<li>možnost pozastavení přehrávání vysílání</li>' +
      '<li>možnost záznamu pořadů</li>' +
      '<li>televizi lze sledovat přes set-top box, tablet, smartphone nebo internetový prohlížeč</li>' +
      '<li>lze spárovat až 4 zařízení na jeden účet</li>' +
      '<li>vyzkoušení na měsíc zdarma</li>' +
      '<li>převzaté vysílání zajišťuje společnost 4NET.TV services s.r.o.</li>' +
      '<li>pro provoz služby stačí i nejnižší internetový tarif Internet 200k/140M za 190 Kč/měsíc</li>' +
      '</ul><br/>' +

      '<h3>Základní balíčky</h3>' +
      '<table class="WideTable"><tr><th>Balíček</th><th>Počet kanálů</th><th>Cena [Kč/měsíc]</th></tr>' +
      '<tr><td>Basic</td><td>83</td><td>82</td></tr>' +
      '<tr><td>Basic + tématika</td><td>104</td><td>91</td></tr>' +
      '<tr><td>Standard</td><td>118</td><td>355</td></tr>' +
      '<tr><td>Max</td><td>136</td><td>694</td></tr>' +
      '</table>Balíček Basic obsahuje stejné kanály jako Basic + tématika. Pro možnost volby tématických balíčků je ale nutné mít balíček Basic + tématika.<br/>' +

      '<h3>Tématické balíčky</h3>' +
      '<table class="WideTable"><tr><th>Balíček</th><th>Kanály</th><th>Cena [Kč/měsíc]</th></tr>' +
      '<tr><td>HBO 1</td><td>HBO HD, HBO Comedy HD, HBO2 HD</td><td>182</td></tr>' +
      '<tr><td>HBO 2</td><td>Cinemax HD, Cinamex2 HD, HBO HD, HBO 2 HD, HBO Comedy HD</td><td>241</td></tr>' +
      '<tr><td>Film</td><td>Film Europe, Film Europe HD, Film+, AXN, AXN White, AXN Black, Filmbox, JOJ Cinema HD</td><td>49</td></tr>' +
      '<tr><td>Superbox</td><td>Erox HD, Eroxxx HD, FashionBox HD, FigthtBox HD, Filmbox Premium, Filmbox Family, Filmbox Extra HD, Filmbox Plus</td><td>146</td></tr>' +
      '<tr><td>Sport</td><td>Eurosport HD, Eurosport 2 HD, Nova Sport 1, Sport 5, Nova Sport 1 HD, Nova Sport 2 HD, ArenaSPORT 1, ArenaSPORT 2 HD, Golf Channel</td><td>67</td></tr>' +
      '<tr><td>Dětské</td><td>Disney Channel, Disney Channel junior, Nickelodeon, Nickelodeon Junior, Baby TV</td><td>37</td></tr>' +
      '<tr><td>Česky</td><td>CS Film/CS mini, Horor film, DokuCS, Kino CS, Muzika CS</td><td>43</td></tr>' +
      '<tr><td>Láska</td><td>Brazzers TV Europe. Erox HD, Eroxxx HD, Playboy TV</td><td>49</td></tr>' +
      '<tr><td>Zpravodaj</td><td>BBC World, Deutsche Welle, EuroNews, Fashion TV, France 24, TV5Monde</td><td>15</td></tr>' +
      '<tr><td>Dokument</td><td>Discovery, National Geographic, National Geographic Wild, Animal Planet, TLC, Fishing & Hunting, Discovery HD, IDX, Discovery Science, DTX, National Geograpic HD, Travel Channel</td><td>73</td></tr>' +
      '</table>Celková cena vznikne jako součet zvolených tématických balíčků a zákaldního balíčku Basic + tématika.<br/>' +

      //'<h3>Programová nabídka</h3>' +
      //'<table class="WideTable"><tr><th>Kanál</th><th>Basic</th><th>Basic+</th><th>Standard</th><th>Maxi</th><th>Second screen</th><th>PVR</th></tr>';

      //Text := Text + '</table>Second Screen - možnost přehrávat v internetovém prohlížeči, tabletu, smartphone či Smart TV.</br/>' +
      //'PVR - možnost záznamu pořadu na 1 měsíc.</br/>' +
      '<h3>Zřízení služby</h3>' +
      'Instalace a aktivace: zdarma<br/>' +
      'Cena set-top boxu: 1800 Kč<br/>' +
      'Webové rozhraní pro TV: <a href="https://live.4network.tv/">live.4network.tv</a><br/>' +
      'Návod ke služby 4network.tv: <a href="/docs/navod_4network.tv.pdf">navod_4network.tv.pdf</a><br/>' +
      '<br/>' +
      'Ceny uvedeny včetně DPH platné od 1.6.2018.';
    end;
    GeneratePage(Self);
  end;
end;

end.

